VectorLinux
November 22, 2014, 04:52:36 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 [2] 3 4
  Print  
Author Topic: Linphone 3.6.0  (Read 7334 times)
sledgehammer
Vectorian
****
Posts: 1426



« Reply #15 on: June 19, 2013, 10:49:00 pm »

hata_ph, regarding linphone, I don't know if this helps or not but if I type at the command line:

Quote
vector:/~
johwhi:$ linphonec
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib control.c:882:(snd_ctl_open_noupdate) Invalid CTL default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib control.c:882:(snd_ctl_open_noupdate) Invalid CTL default:1
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:1
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:1
Ready
Warning: video is disabled in linphonec, use -V or -C or -D to enable.
linphonec> Registration on <sip:sip.diamondcard.us> successful.
linphonec> Registration on <sip:sip.linphone.org> successful.
... (hata_ph, I omitted addresses)

and

Quote
vector:/~
johwhi:$ linphonec -V
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib control.c:882:(snd_ctl_open_noupdate) Invalid CTL default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:0
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib control.c:882:(snd_ctl_open_noupdate) Invalid CTL default:1
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:1
ALSA lib conf.c:4630:(snd_config_expand) Unknown parameters 1
ALSA lib pcm.c:2212:(snd_pcm_open_noupdate) Unknown PCM default:1
Ready
linphonec> ortp-error-no such method on filter MSGLXVideo, fid=16387 method index=1
Refreshing
X Error of failed request:  BadAccess (attempt to access private resource denied)
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  26 (X_GLXMakeContextCurrent)
  Serial number of failed request:  34
  Current serial number in output stream:  34
vector:/~

I found badaccess Bug:105410  at http://bugs.gentoo.org/data/cached/buglist-RESOLVED-WORKSFORME.html but don't know if it is relevant and did not open it as my browser said the site was untrusted.
« Last Edit: June 19, 2013, 10:54:39 pm by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3259


-- Just being myself --


« Reply #16 on: June 20, 2013, 01:39:02 am »

Pls show me your /var/log/pkgtools...

how about try to backup your current $HOME/.linphonerc and recreate a new config files?
Logged
sledgehammer
Vectorian
****
Posts: 1426



« Reply #17 on: June 20, 2013, 06:46:10 am »

Not sure I understand, but here it /var/log/pkgtools  for yesterday:

Quote
2013-06-19 00:00:02 Installed new: linphone-3.6.0-i586-1vl70.txz
2013-06-19 10:19:43 Removed: lyx-2.0.6-i586-1vl70
2013-06-19 10:19:44 Removed: linphone-3.6.0-i586-1vl70
2013-06-19 10:57:43 Removed: ortp-0.20.0-i586-1vl70-upgraded-2013-06-19,10:57:40
2013-06-19 10:57:44 Upgraded: ortp-0.20.0-i586-1vl70 to ortp-0.22.0-i586-1vl70.txz
2013-06-19 10:57:47 Removed: mediastreamer-2.8.2-i586-1vl70-upgraded-2013-06-19,10:57:44
2013-06-19 10:57:49 Upgraded: mediastreamer-2.8.2-i586-1vl70 to mediastreamer-2.9.0-i586-4vl70.txz
2013-06-19 10:57:53 Installed new: linphone-3.6.0-i586-1vl70.txz
2013-06-19 10:58:23 Installed new: lyx-2.0.6-i586-1vl70.txz
2013-06-19 17:17:36 Removed: lyx-2.0.6-i586-1vl70
2013-06-19 22:12:16 Removed: jre-7u15-i586-1vl70-upgraded-2013-06-19,22:12:09
2013-06-19 22:12:21 Upgraded: jre-7u15-i586-1vl70 to jre-7u21-i586-1vl70.txz
2013-06-19 22:59:46 Removed: linphone-3.6.0-i586-1vl70
2013-06-19 23:02:29 Removed: mediastreamer-2.9.0-i586-4vl70-upgraded-2013-06-19,23:02:26
2013-06-19 23:02:31 Upgraded: mediastreamer-2.9.0-i586-4vl70 to mediastreamer-2.9.0-i586-4vl70.txz
2013-06-19 23:02:34 Removed: ortp-0.22.0-i586-1vl70-upgraded-2013-06-19,23:02:31
2013-06-19 23:02:35 Upgraded: ortp-0.22.0-i586-1vl70 to ortp-0.22.0-i586-1vl70.txz
2013-06-19 23:02:54 Installed new: linphone-3.6.0-i586-1vl70.txz
2013-06-19 23:05:04 Removed: alsa-lib-1.0.24.1-i486-1-upgraded-2013-06-19,23:05:02
2013-06-19 23:05:04 Upgraded: alsa-lib-1.0.24.1-i486-1 to alsa-lib-1.0.24.1-i486-1.txz
2013-06-19 23:05:05 Removed: alsa-oss-1.0.17-i486-1-upgraded-2013-06-19,23:05:04
2013-06-19 23:05:05 Upgraded: alsa-oss-1.0.17-i486-1 to alsa-oss-1.0.17-i486-1.txz
2013-06-19 23:05:07 Removed: alsa-utils-1.0.24.2-i486-1-upgraded-2013-06-19,23:05:05
2013-06-19 23:05:07 Upgraded: alsa-utils-1.0.24.2-i486-1 to alsa-utils-1.0.24.2-i486-1.txz
2013-06-19 23:05:08 Removed: alsaplayer-0.99.81-i586-1vl70-upgraded-2013-06-19,23:05:07
2013-06-19 23:05:08 Upgraded: alsaplayer-0.99.81-i586-1vl70 to alsaplayer-0.99.81-i586-1vl70.txz
2013-06-19 23:05:10 Removed: libao-1.1.0-i486-1-upgraded-2013-06-19,23:05:08
2013-06-19 23:05:10 Upgraded: libao-1.1.0-i486-1 to libao-1.1.0-i486-1.txz
2013-06-19 23:05:11 Removed: pyalsa-1.0.24-i586-1vl70-upgraded-2013-06-19,23:05:10
2013-06-19 23:05:11 Upgraded: pyalsa-1.0.24-i586-1vl70 to pyalsa-1.0.24-i586-1vl70.txz
2013-06-19 23:05:14 Removed: pyalsaaudio-0.6-i586-1vl70-upgraded-2013-06-19,23:05:11
2013-06-19 23:05:16 Upgraded: pyalsaaudio-0.6-i586-1vl70 to pyalsaaudio-0.6-i586-1vl70.txz
2013-06-19 23:05:18 Removed: qx11grab-0.4.3-i586-1vl70-upgraded-2013-06-19,23:05:17
2013-06-19 23:05:18 Upgraded: qx11grab-0.4.3-i586-1vl70 to qx11grab-0.4.3-i586-1vl70.txz
2013-06-19 23:05:21 Removed: wmix-3.2-i586-1vl70-upgraded-2013-06-19,23:05:18
2013-06-19 23:05:23 Upgraded: wmix-3.2-i586-1vl70 to wmix-3.2-i586-1vl70.txz
2013-06-19 23:05:54 Removed: linphone-3.6.0-i586-1vl70-upgraded-2013-06-19,23:05:50
2013-06-19 23:05:57 Upgraded: linphone-3.6.0-i586-1vl70 to linphone-3.6.0-i586-1vl70.txz
2013-06-19 23:14:02 Removed: linphone-3.6.0-i586-1vl70-upgraded-2013-06-19,23:13:58
2013-06-19 23:14:05 Upgraded: linphone-3.6.0-i586-1vl70 to linphone-3.6.0-i586-1vl70.txz
2013-06-19 23:14:49 Removed: linuxdoc-tools-0.9.66-i486-7vl70-upgraded-2013-06-19,23:14:46
2013-06-19 23:14:50 Upgraded: linuxdoc-tools-0.9.66-i486-7vl70 to linuxdoc-tools-0.9.66-i486-7vl70.txz
2013-06-19 23:15:04 Installed new: lyx-2.0.6-i586-1vl70.txz
2013-06-19 23:41:53 Removed: libosip2-3.6.0-i486-1_SBo
2013-06-19 23:42:38 Removed: libosip2-3.5.0-i586-1vl70-upgraded-2013-06-19,23:42:35
2013-06-19 23:42:39 Upgraded: libosip2-3.5.0-i586-1vl70 to libosip2-3.5.0-i586-1vl70.txz
2013-06-19 23:43:25 Removed: libeXosip2-3.6.0-i486-1_SBo
2013-06-19 23:44:15 Removed: libeXosip2-3.5.0-i586-1vl70
2013-06-19 23:45:19 Installed new: libeXosip2-3.5.0-i586-1vl70.txz
2013-06-19 23:45:59 Removed: linphone-3.6.0-i586-1vl70
2013-06-19 23:46:00 Removed: mediastreamer-2.9.0-i586-4vl70
2013-06-19 23:46:28 Installed new: mediastreamer-2.9.0-i586-4vl70.txz
2013-06-19 23:46:44 Installed new: linphone-3.6.0-i586-1vl70.txz

After removing .linphonerc, linphone gui stayed on screen until I pushed the "enable self video" button, in which event it reverted to its earlier practice of just flashing on and then giving the "badaccess" error.

Here is latest .linphonerc

Quote
[rtp]
download_ptime=0

[sip]
media_encryption=none
default_proxy=-1

[video]
display=1
capture=1
automatically_initiate=1
automatically_accept=1
show_local=1
self_view=1
device=V4L2: /dev/video0
size=cif

[net]
download_bw=0
upload_bw=0
adaptive_rate_control=1

[GtkUi]
videoselfview=1
advanced_ui=1

[sound]
playback_dev_id=ALSA: Logitech USB Headset
ringer_dev_id=ALSA: Logitech USB Headset
capture_dev_id=ALSA: Logitech USB Headset
echocancellation=1
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3259


-- Just being myself --


« Reply #18 on: June 20, 2013, 03:46:15 pm »

what version of ffmpeg and ortp you currently installed?
Logged
sledgehammer
Vectorian
****
Posts: 1426



« Reply #19 on: June 20, 2013, 07:35:10 pm »

ffmpeg 0.10-i586-5vl70

ortp 0.22.0.i586-1vl70
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3259


-- Just being myself --


« Reply #20 on: June 20, 2013, 08:35:11 pm »

Click Enable self-view give me the badaccess error too...
do call with linphone work?
Logged
sledgehammer
Vectorian
****
Posts: 1426



« Reply #21 on: June 20, 2013, 10:44:57 pm »

Yes.

So long as I delete linphonerc first and then load linphone, calls seem to work fine.

However, once I hit the enable self view button, it crashes and won't reload with that linphonerc.

John
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3259


-- Just being myself --


« Reply #22 on: June 20, 2013, 11:15:21 pm »

I can't find any info about that error...is that option important?
have you try asking this in the linphone forum?
Logged
sledgehammer
Vectorian
****
Posts: 1426



« Reply #23 on: June 23, 2013, 09:06:48 am »

hata_ph,

I don't know if the option is important or not.  I will try using linphone without it for a while and let you know.  I do know now not to push the "enable self view" button and hope I remember that.

In searching the linphone forum, I find the following from, I think, the moderator:

Quote
From:    Ghislain Mary
Subject:    Re: [Linphone-users] Linphone Beta
Date:    Fri, 26 Apr 2013 09:37:38 +0200
Hi,

There was some API changes in the mediastreamer2 library.
"audio_stream_->session" needs to be replaced by "
audio_stream_->ms.session".

Cheers,
Ghislain

I looked for the linphone version of mediastreamer and find mediastreamer2.9.0.tar.gz  is latest (added to the linphone site June 12, 2013). 

http://download-mirror.savannah.gnu.org/releases//linphone/mediastreamer/

However, mediastreamer 2.9.0 is also the version I have installed from the VL repository.

I have no clue how to replace "audio_stream_->session" with "audio_stream_->ms.session" in the mediastreamer library, but I suspect use of linphone by those of us using VL will be adversely impacted until linphone 3.6.0 is fixed by somebody.

John



Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1426



« Reply #24 on: June 23, 2013, 07:38:57 pm »

Well,

I downloaded linphone 3.6.1 from

http://download.savannah.gnu.org/releases/linphone/3.6.x/sources/

and installed it via slackbuilds.org,

but it still crashes on "enable self view."

I wonder if it would crash were I a pretty blonde?

Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1426



« Reply #25 on: June 24, 2013, 05:27:52 am »

And, though linphone 3.5.2 loaded slowly (2 or 3 minutes) following reboot, with 3.6.1, it is very very slow on loading.  Takes half an hour or more to load. I can reduce the loading time by removing a couple hundred names from .linphonerc but that, of course, defeats the purpose of an address book. I wonder if Gates bought linphone?
Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1426



« Reply #26 on: June 24, 2013, 10:59:33 am »

Quote
It (lyx 2.0.6) now works perfectly.

I may have spoken too soon.....right now lyx won't save.  Perhaps something wrong with my system.

I will check further as time permits.
Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1426



« Reply #27 on: June 25, 2013, 12:38:15 am »

Well, I've got a problem.

Linphone 3.6.0 works fine, excepting the enable self-view button, provided putting up with a 30 minute load time is "working fine."

And lyx 2.0.6 works fine if started from the command line but not if started from the gui.  For example, if started from the gui, Lyx crashes on "save file," but saves fine if started from the command line.

And some other programs are looking different.  For example, etm (started from the command line with etm_qt.py) works and looks fine, but etm started from the gui seems to work fine but has bigger and bolder font. 

My attempts to fix by a vasm autosetup, reloading qt4, and reloading python and wxpython did not help.
n
Any suggestions?  I obviously have screwed up something pretty basic to the vector linux system.

John
Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3259


-- Just being myself --


« Reply #28 on: June 25, 2013, 04:29:11 pm »

Any error?
Logged
sledgehammer
Vectorian
****
Posts: 1426



« Reply #29 on: June 25, 2013, 06:29:02 pm »

No, no error.  I guess if I could figure out what program starts the gui I could run that from the command line and see what errors show.  But I am not sure what program does that.   
Logged

VL7.0 xfce4 Samsung RF511
Pages: 1 [2] 3 4
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!